From cf1f533ff312eda5896f9cfe00bb842c60a3bf5f Mon Sep 17 00:00:00 2001
From: Srikanth Kurapati <srikanth.kurapati@multicorewareinc.com>
Date: Thu, 31 Dec 2020 16:35:27 +0530
Subject: [PATCH] Fixes cmake backward compatibility issues for version control
 script

---
 source/cmake/Version.cmake | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/source/cmake/Version.cmake b/source/cmake/Version.cmake
index a3988d39f..eed6e8b13 100644
--- a/source/cmake/Version.cmake
+++ b/source/cmake/Version.cmake
@@ -47,16 +47,15 @@ if(HG_EXECUTABLE)
         set(HG_ARCHETYPE "0")
     endif()
 endif(HG_EXECUTABLE)
-find_package(Git QUIET) #No restrictions on Git versions used, any versions from 1.8.x to 2.2.x or later should do.
-if(Git_FOUND)
-    find_program(GIT_EXECUTABLE git)
+find_program(GIT_EXECUTABLE git)  #No restrictions on Git versions used, any versions from 1.8.x to 2.2.x or later should do.
+if(GIT_EXECUTABLE)
     message(STATUS "GIT_EXECUTABLE ${GIT_EXECUTABLE}")
     if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
         set(GIT_ARCHETYPE "0")
     elseif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../x265Version.txt)
         set(GIT_ARCHETYPE "1")
     endif()
-endif(Git_FOUND)
+endif(GIT_EXECUTABLE)
 if(HG_ARCHETYPE)
     #Read the lines of the archive summary file to extract the version
     message(STATUS "SOURCE CODE IS FROM x265 HG ARCHIVED ZIP OR TAR BALL")
@@ -122,7 +121,7 @@ elseif(GIT_ARCHETYPE)
         set(X265_LATEST_TAG ${git_releasetag})
         if(DEFINED git_releasetagdistance)
             set(X265_TAG_DISTANCE ${git_releasetagdistance})
-            if(X265_TAG_DISTANCE STRGREATER_EQUAL "0")
+            if(X265_TAG_DISTANCE STRGREATER "0" OR X265_TAG_DISTANCE STREQUAL "0")
                 #for x265 the repository changeset has to be a tag id or commit id after the tag
                 #hence mandating it's presence in version file always for valid tag distances.
                 if(DEFINED git_repositorychangeset)
-- 
2.20.1.windows.1

